@import "variabless";
@import "grid";
@import "common";
@import "flex";
@import "slider";


/*
font-family: 'Open Sans', sans-serif;
font-family: 'Roboto', sans-serif;
*/

body {
  color: @color_default;
  font-family: 'Roboto', sans-serif;
  font-size: @font_size_default;
  line-height: 1.42;
}

.top-bar {
  background: #2d2b31;
  color: @color_white;
  text-align: center;
  padding: 9px 0 5px;
  line-height: 22px;

  div {
    font-size: 13px;

    &:first-child {
      font-size: 18px;
    }
  }

}

.header {
  background-color: #a9b089;
  padding: 5px 10px 0;

  &-top {
    padding-bottom: 10px;

    * {
      color: @color_white;
    }

    &-shipping-info {
      font-size: 16px;
      font-weight: 700;

      .earth-icon {
        margin-right: 7px;
      }
    }
  }

  &-dropdown {
    &:not(:last-child) {
      padding: 15px;
    }

    text-transform: uppercase;
    font-weight: 700;
    letter-spacing: 2px;
  }

  //  .header-top{
  //    padding-top: 5px;
  //    padding-bottom: 10px;
  //  }
  //.header-bottom{
  //  padding-top: 25px;
  //}
  //  .logo img{
  //    width: 290px;
  //    height: 110px;
  //  }
  &-bottom {
    position: relative;
    font-weight: 700;
    padding-top: 25px;
    padding-bottom: 25px;

    &-numbers {
      .phone-icon {
        padding-right: 7px;
      }
    }
  }

  &-search {
    form {
      position: relative;
      width: 240px;
      height: 32px;

      button {
        position: absolute;
        background: none;
        border: none;
        height: 100%;
        transition: 0.2s;


        &:focus {
          outline: none;
        }

        &:hover {
          cursor: pointer;
          opacity: 0.7;
        }

        //&[type='search']{
        //
        //}
        &.search {
          right: 0;
        }

        &.clear {
          right: 30px;
        }
      }

      input {
        width: 100%;
        height: 100%;
        border: none;
        padding: 0 35px 0 9px;
        box-sizing: border-box;

        &::placeholder {
          text-transform: uppercase;
          font-weight: 600;
          font-size: 13px;
          color: @color_default;
          letter-spacing: 1px;
        }

        &:focus {
          outline: none;
        }
      }
    }
  }

  &-cart {
    margin-left: 10px;
    padding: 2px 0;
  }

  &-logo {
    //position: absolute;
    max-width: 290px;
    left: 0;
    right: 0;
    margin-bottom: -25px;

    img {
      margin: -25px 0;
    }
  }
}

.nav {
  background-color: #e0e1dd;
  padding: 0 10px;

  &-list {
    margin: 0;
    padding: 0;
    list-style: none;

    &-item {
      text-transform: uppercase;
      padding-top: 12px;
      letter-spacing: 1.5px;


      > a {
        font-weight: 700;
        display: inline-block;
        padding: 14px 10px;
        margin-right: 5px;
        border-bottom: 3px solid transparent;


        &:hover {
          border-bottom: 3px solid black;
          text-decoration: none;
        }
      }

      &-dropdown {
        display: none;
      }

      &:hover .nav-list-item-dropdown {
        display: block;
        //float: left;
        position: absolute;
        text-transform: none;
        background: #e0e1dd;
        padding-top: 10px;
        padding-bottom: 10px;

        &-content {
          display: block;
          background: #e0e1dd;
          padding: 10px  50px 10px 10px;
          text-decoration: none;
          font-size: 14px;
          margin-left: 10px;
          margin-right: 10px;
          &:hover {
            background-color: #fff;
          }
        }
      }
    }
  }
}

.section {
  padding-bottom: 20px;
}

.section1 {
  background: url("https://cdnmedia.theirishstore.com/wysiwyg/Homepage/Homepage_Hero/IndependenceDayHero2020-1.jpg") center no-repeat;
  background-size: cover;
  cursor: pointer;
  height: 450px;


  &-content-sale {
    height: 350px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    color: #fff;

    :nth-child(-n+3) {
      text-transform: uppercase;
      font-weight: 700;
    }


    &-sales-name {
      padding-top: 50px;
      padding-bottom: 10px;
      font-size: 22px;
      line-height: 0;
      letter-spacing: 2px;
      .t-shadow;
    }


    &-sales-discount {
      font-size: 100px;
      line-height: 88px;
      .t-shadow;
    }

    &-sales-benefits {
      font-size: 30px;
      line-height: 25px;
      .t-shadow;
    }

    &-sales-rules {
      font-size: 18px;
      line-height: 38px;
      .t-shadow;

      span {
        color: #f1c761;
      }
    }

    &-buttons span a {
      color: @color_default;

      &:visited {
        color: @color_default;
      }

      cursor: pointer;
      margin-top: 15px;
      padding: 8px 20px;
      background-color: @color_white;
      text-decoration: none;
      transition: background-color 0.4s ease;

      &:hover {
        background-color: hsla(0, 0%, 100%, .7);
      }
    }
  }
}

.section1-bottom-banner {
  background-color: #2e2b32;
  width: 100%;
  box-sizing: border-box;
  padding: 10px;
  color: #eaeaea;
  text-align: center;
  font-weight: 400;
  font-size: 14px;
  margin-bottom: 20px;
}

.section2 {
  &-list {
    background-color: #f9f9f9;
    list-style: none;
    margin: 0;
    display: flex;
    justify-content: center;
    padding: 10px 0;

    &-item {
      display: flex;
      padding: 10px;
      min-width: 250px;

      a {
        text-decoration: none;

      }

      [class*='icon'] {
        padding-right: 10px;
      }

      strong {
        text-transform: uppercase;
      }
    }

  }
}

.section3 {
  &-item {
    position: relative;
    text-align: center;
    font-size: 0;

    a {
      display: inline-block;
      font-size: 0;
    }

    div {
      position: absolute;
      right: 0;
      left: 0;
      bottom: 0;
    }

    span {
      display: inline-block;
      background-color: rgba(0, 0, 0, 0.5);
      padding: 11px 20px;
      font-size: @font_size_default;
      margin-bottom: 30px;
      color: @color_white;
      border: 1px solid;
      text-transform: uppercase;
      font-weight: 700;
      letter-spacing: 1px;
    }
  }
}

.section4 {

  .container {
    padding: 25px 20px;
    background-image: url(https://cdnmedia.theirishstore.com/wysiwyg/Homepage/maps.png);
    background-position: 50% 50%;
    background-size: 620px;

    div {
      font-size: 14px;
      font-weight: 300;
      letter-spacing: 1px;
      text-align: center;
      line-height: 20px;
      text-transform: uppercase;

      &:first-child {
        font-size: 18px;
        letter-spacing: 3px;
        font-weight: 700;
      }
    }
  }
}

.section5 {
  color: @color_white;

  .section5-first-row {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    background-image: url(https://cdnmedia.theirishstore.com/wysiwyg/Homepage/Homepage_Hero/ex_collection_2020.jpg);
    background-position: 50% 0;
    background-size: cover;
    margin-bottom: 20px;
    cursor: pointer;
    height: 250px;

    .section5-title {
      display: inline;
      max-width: 300px;
      text-align: center;
      margin-right: 13%;

      &-header {
        margin-bottom: 5px;
        color: #fff;
        font-size: 30px;
        line-height: 34px;
        font-weight: 400;
        text-align: center;
        text-shadow: 2px 2px 9px #000;
      }

      &-text {
        color: #fff;
        font-size: 14px;
        line-height: 18px;
        font-weight: 400;
        text-align: center;
        text-shadow: 2px 2px 9px #000;
      }
    }

    a {
      background-color: #fff;
      margin-top: 15px;
      padding: 8px 35px;
      font-weight: 700;
      text-decoration: none;
      cursor: pointer;
      letter-spacing: 1px;
      display: inline-block;
      border: 0;
      line-height: inherit;
      border-radius: 0;
      text-transform: uppercase;

      &:hover {
        background-color: rgba(255, 255, 255, 0.8);
      }
    }

  }

  .section5-second-row {
    display: flex;
    margin: 0 -10px;

    [class*='slot'] {
      text-align: center;

      h3 {
        color: @color_default;
        line-height: 1.1;
        font-size: 24px;
        margin-top: 20px;
        margin-bottom: 20px;
        letter-spacing: .75px;
        font-weight: 400;
      }

      a {
        background-color: #fff;
        margin-top: 15px;
        padding: 8px 35px;
        font-weight: 700;
        text-decoration: none;
        cursor: pointer;
        letter-spacing: 1px;
        display: inline-block;
        border: 1px solid @color_default;
        line-height: inherit;
        border-radius: 0;
        text-transform: uppercase;

        &:hover {
          color: rgba(37, 44, 38, .5);
          border-color: rgba(37, 44, 38, .5)
        }
      }
    }
  }
}

.section6-slider {
  h4 {
    border-bottom: 1px solid #c9cac8;
    font-family: 'Roboto Condensed', 'Helvetica Condensed', 'Arial Narrow', Arial, sans-serif;
    font-weight: 400;
    line-height: 0;
    font-size: 30px;
    margin-top: 32px;
    margin-bottom: 32px;
    text-transform: uppercase;
    letter-spacing: 1.5px;
    text-align: center;
  }

  span:first-child {
    background-color: #fff;
    padding-right: 20px;
    padding-left: 20px;
  }

  .slider_item::after:first-child {
    position: absolute;
    content: '1';
    top: 0;
    left: 0;
    width: 20px;
    height: 20px;
    background-color: red;
    //border: 10px solid white;
    //padding: 5px;
    //box-shadow: 5px 5px 0px 20px rgba(0,0,0,0.75);
  }

  .slider_item_description_price {
    display: flex;
    justify-content: space-around;

    div:last-child {
      color: red;
    }
  }

  .slick-arrow:hover, .slick-arrow:focus {
    background: black;
  }
}

.section7 {
  .video-player {
    padding: 6px;
    background-color: hsla(70.76923076923077, 19.80%, 61.37%, 1.00);

    a img {
      width: 100%;
      //height: 450px;

    }
  }
}

